org.apache.felix.ipojo.extender.internal.declaration

## Class DefaultTypeDeclaration

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.AbstractService
  - - org.apache.felix.ipojo.extender.internal.declaration.AbstractDeclaration
    - - org.apache.felix.ipojo.extender.internal.declaration.DefaultTypeDeclaration

All Implemented Interfaces:
  Declaration, DeclarationHandle, Lifecycle, Status, TypeDeclaration

    public class DefaultTypeDeclaration
    extends AbstractDeclaration
    implements TypeDeclaration

Default implementation of the component type declaration.

### Field Summary

### Fields inherited from class org.apache.felix.ipojo.extender.internal.declaration.AbstractDeclaration

`DECLARATION_BOUND_MESSAGE`

### Fields inherited from class org.apache.felix.ipojo.extender.internal.AbstractService

`m_bundleContext`

### Constructor Summary

Constructors
Constructor and Description
`DefaultTypeDeclaration(org.osgi.framework.BundleContext bundleContext, org.apache.felix.ipojo.metadata.Element componentMetadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.ipojo.metadata.Element` `getComponentMetadata()` Get the component metadata description.
`java.lang.String` `getComponentName()` Gets the component type's name.
`java.lang.String` `getComponentVersion()` Gets the component type's version.
`java.lang.String` `getExtension()` Gets the targeted iPOJO Extension (primitive, composite, handler...)
`boolean` `isPublic()` Returns true if the type is public

### Methods inherited from class org.apache.felix.ipojo.extender.internal.declaration.AbstractDeclaration

`bind, getMessage, getStatus, getThrowable, isBound, publish, retract, unbind, unbind`

### Methods inherited from class org.apache.felix.ipojo.extender.internal.AbstractService

`getBundleContext, getRegistration, getServiceProperties, isRegistered, registerService, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.felix.ipojo.extender.Declaration

`bind, getStatus, unbind, unbind`

### Constructor Detail

#### DefaultTypeDeclaration

    public DefaultTypeDeclaration(org.osgi.framework.BundleContext bundleContext,
                                  org.apache.felix.ipojo.metadata.Element componentMetadata)

### Method Detail

#### getComponentName

    public java.lang.String getComponentName()

Description copied from interface: `TypeDeclaration`
Gets the component type's name.

Specified by:
  `getComponentName` in interface `TypeDeclaration`
Returns:
  the component type's name.

#### getComponentVersion

    public java.lang.String getComponentVersion()

Description copied from interface: `TypeDeclaration`
Gets the component type's version.

Specified by:
  `getComponentVersion` in interface `TypeDeclaration`
Returns:
  the component type's version

#### getExtension

    public java.lang.String getExtension()

Description copied from interface: `TypeDeclaration`
Gets the targeted iPOJO Extension (primitive, composite, handler...)

Specified by:
  `getExtension` in interface `TypeDeclaration`
Returns:
  the targeted extension

#### getComponentMetadata

    public org.apache.felix.ipojo.metadata.Element getComponentMetadata()

Description copied from interface: `TypeDeclaration`
Get the component metadata description.

Specified by:
  `getComponentMetadata` in interface `TypeDeclaration`
Returns:
  the component metadata description.

#### isPublic

    public boolean isPublic()

Description copied from interface: `TypeDeclaration`
Returns true if the type is public

Specified by:
  `isPublic` in interface `TypeDeclaration`
Returns:
  true if the type is public